package projet.iut.jeu_de_la_vie.launcher;

import android.graphics.Color;
import android.text.Editable;
import android.util.Log;
import android.view.View;
import android.widget.EditText;

import androidx.appcompat.app.AppCompatActivity;

import projet.iut.jeu_de_la_vie.R;
import projet.iut.jeu_de_la_vie.model.Manager;
import projet.iut.jeu_de_la_vie.model.cellule.Cellule;

public class Launcher extends AppCompatActivity {

    private Manager manager;

    @Override
    protected void onStart() {
        super.onStart();
        manager = new Manager();
        setContentView(R.layout.menu_principal);
    }


    private void setNbColumns(){
        EditText editText = findViewById(R.id.nbColone);
        Editable text = editText.getText();
        manager.setNumberOfColumns(Integer.parseInt(text.toString()));
    }
    private void setNbLignes(){
        EditText editText = findViewById(R.id.nbLignes);
        Editable text = editText.getText();
        manager.setNumberOfLines(Integer.parseInt(text.toString()));
    }
    private void setCellsColor(int color){
        manager.setCellsColor(color);
    }

    public void startGame(View view){
        setNbLignes();
        setNbColumns();
        Log.d("d", "" + manager.getActualiseurCellule().getArbitre().getPlateau().getColone());
        Log.d("d", "" + manager.getActualiseurCellule().getArbitre().getPlateau().getLigne());
        Log.d("d", "" + Cellule.getLivingColor());
    }
    public void setCellsRed(View view){
        int red = Color.RED;
        setCellsColor(red);
    }
    public void setCellsGreen(View view){
        int green = Color.GREEN;
        setCellsColor(green);
    }
    public void setCellsBlue(View view){
        int blue = Color.BLUE;
        setCellsColor(blue);
    }


}
